#
# spec file for package sox (Version 12.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sox
Copyright:    LGPL
Group:        Applications/Sound
Provides:     sox 
Autoreqprov:  on
Version:      12.17
Release:      141
Summary:      Sound Conversion Tools and Library
URL:          http://home.sprynet.com/~cbagwell/sox.html
Source: ftp://metalab.unc.edu/pub/Linux/apps/sound/convert/sox-%{version}.tar.bz2
Source2: audioio.h
Patch: sox-%{version}.dif
Patch1: oss.dif
Patch2: sox-axp.patch
Patch3: sox-%{version}-ia64.patch
Patch4: sox-%{version}-fixes.patch
BuildRoot:    /var/tmp/%{name}-build

%description
SOX is intended as the Swiss Army knife of sound
processing tools.  It doesn't do anything very well,
but sooner or later it comes in very handy.
SOX is really only useable day-to-day if you
hide the wacky options with one-line shell scripts.

Authors:
--------
    Chris Bagwell <cbagwell@sprynet.com>

SuSE series: snd

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{?suse_update_config -f}
autoconf
if [ ! -f /usr/include/sun/audioio.h ]; then
	[ -d /usr/include/sun ] || mkdir /usr/include/sun
	cp $RPM_SOURCE_DIR/audioio.h /usr/include/sun/audioio.h
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} \
                         --with-oss-dsp=yes \
                         --with-alsa-dsp=no \
                         --with-sun-audio=yes
make

%install
rm -rf "$RPM_BUILD_ROOT" 
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib} $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}
make install install-lib install-play \
     DESTDIR=$RPM_BUILD_ROOT \

%clean
rm -rf "$RPM_BUILD_ROOT" 

%files
/usr/bin/*
/usr/lib/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc Changelog INSTALL README* TODO monkey.*

%changelog -n sox
* Tue Sep 11 2001 - nadvornik@suse.cz
- fixed output file handling [bug #10449]
* Mon May 21 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue Jan 23 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Fri Nov 24 2000 - tiwai@suse.de
- Fixed OSS playback on big-endian machine.
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Sep 15 2000 - nadvornik@suse.cz
- update to 12.17
- used suse_update_config
* Fri May 19 2000 - bk@suse.de
- enabled sunaudio (dev/audio) file format support(see man page for use)
* Fri May 19 2000 - bk@suse.de
- added man pages for play and rec
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Mon Apr 10 2000 - nadvornik@suse.cz
- now compiles with the oss driver
* Thu Apr 06 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Jan 25 2000 - ro@suse.de
- update to 12.16, man to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec 02 1998 - ro@suse.de
- update to 12.15
* Tue Aug 11 1998 - ro@suse.de
- back to original names play/rec (wavplay changed the names)
- added patches from kevin bradley for polyphase sample rate conversion
* Tue May 12 1998 - ro@suse.de
- initial package version 12.14
  changed play and rec to soxplay and soxrec
  to avoid collision with wavplay
